Module javafx.base
Package javafx.beans.property

# Class BooleanProperty

java.lang.Object
javafx.beans.binding.BooleanExpression
javafx.beans.property.ReadOnlyBooleanProperty
javafx.beans.property.BooleanProperty

All Implemented Interfaces:
  `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`

Direct Known Subclasses:
  `BooleanPropertyBase`, `JavaBeanBooleanProperty`

    public abstract class BooleanProperty
    extends ReadOnlyBooleanProperty
    implements Property<Boolean>, WritableBooleanValue

This class provides a full implementation of a `Property` wrapping a `boolean` value.

The value of a `BooleanProperty` can be get and set with `ObservableBooleanValue.get()`, `ObservableValue.getValue()`, `WritableBooleanValue.set(boolean)`, and `WritableBooleanValue.setValue(Boolean)`.

A property can be bound and unbound unidirectional with `Property.bind(ObservableValue)` and `Property.unbind()`. Bidirectional bindings can be created and removed with `Property.bindBidirectional(Property)` and `Property.unbindBidirectional(Property)`.

The context of a `BooleanProperty` can be read with `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()`.

Note: setting or binding this property to a null value will set the property to "false". See `WritableBooleanValue.setValue(java.lang.Boolean)`.

Since:
  JavaFX 2.0
See Also:
  `ObservableBooleanValue`, `WritableBooleanValue`, `ReadOnlyBooleanProperty`, `Property`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BooleanProperty()` | Sole constructor

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ObjectProperty<Boolean>` | `asObject()` | Creates an `ObjectProperty` that holds the value of this `BooleanProperty`.
  `static BooleanProperty` | `booleanProperty​(Property<Boolean> property)` | Returns a `BooleanProperty` that wraps a `Property`.
  `String` | `toString()` | Returns a string representation of this `BooleanProperty` object.

  ### Methods declared in class javafx.beans.property.ReadOnlyBooleanProperty

  `readOnlyBooleanProperty`

  ### Methods declared in class javafx.beans.binding.BooleanExpression

  `and, asString, booleanExpression, booleanExpression, isEqualTo, isNotEqualTo, not, or`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableBooleanValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableBooleanValue

  `get, set, setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### BooleanProperty

    public BooleanProperty()
    Sole constructor

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this `BooleanProperty` object.
    Overrides:
      `toString` in class `ReadOnlyBooleanProperty`
    Returns:
      a string representation of this `BooleanProperty` object.

  - ### booleanProperty

    public static BooleanProperty booleanProperty​(Property<Boolean> property)
    Returns a `BooleanProperty` that wraps a `Property`. If the `Property` is already a `BooleanProperty`, it will be returned. Otherwise a new `BooleanProperty` is created that is bound to the `Property`. Note: null values in the source property will be interpreted as "false"
    Parameters:
      `property` - The source `Property`
    Returns:
      A `BooleanProperty` that wraps the `Property` if necessary
    Throws:
      `NullPointerException` - if `property` is `null`
    Since:
      JavaFX 8.0

  - ### asObject

    public ObjectProperty<Boolean> asObject()
    Creates an `ObjectProperty` that holds the value of this `BooleanProperty`. If the value of this `BooleanProperty` changes, the value of the `ObjectProperty` will be updated automatically.
    Overrides:
      `asObject` in class `ReadOnlyBooleanProperty`
    Returns:
      the new `ObjectProperty`
    Since:
      JavaFX 8.0